\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-7.5,0.5) rectangle (-2.5,4.5);
\fill[line width=1.5pt,color=H1,fill=H1] (-7,4) -- (-7,1) -- (-3,1) -- (-3,4) -- cycle;
\draw[line width=1.5pt,] (-7,3.5757359312880714) -- (-6.575735931288071,3.5757359312880714) -- (-6.575735931288071,4) -- (-7,4) -- cycle; 
\draw[line width=1.5pt,] (-3.4242640687119286,4) -- (-3.4242640687119286,3.5757359312880714) -- (-3,3.5757359312880714) -- (-3,4) -- cycle; 
\draw[line width=1.5pt,] (-3,1.4242640687119286) -- (-3.4242640687119286,1.4242640687119286) -- (-3.4242640687119286,1) -- (-3,1) -- cycle; 
\draw[line width=1.5pt,] (-6.575735931288071,1) -- (-6.575735931288071,1.4242640687119286) -- (-7,1.4242640687119286) -- (-7,1) -- cycle; 
\draw [shift={(-7,4)},line width=1.5pt,] (0,0) -- (-36.86989764584402:0.8) arc (-36.86989764584402:0:0.8) -- cycle;
\draw [shift={(-3,1)},line width=1.5pt,] (0,0) -- (143.13010235415598:0.8) arc (143.13010235415598:180:0.8) -- cycle;
\draw [line width=1.5pt] (-7,4)-- (-7,1);
\draw [line width=1.5pt] (-7,1)-- (-3,1);
\draw [line width=1.5pt] (-3,1)-- (-3,4);
\draw [line width=1.5pt] (-3,4)-- (-7,4);
\draw [line width=1.5pt] (-7,4)-- (-3,1);
\draw [line width=1.5pt] (-3,4)-- (-7,1);
\draw[color=black] (-7.25,4.25) node {$L$};
\draw[color=black] (-7.25,0.75) node {$E$};
\draw[color=black] (-2.75,0.75) node {$G$};
\draw[color=black] (-2.75,4.25) node {$U$};
\draw[color=black] (-5,2.825) node {$O$};
\draw (-5,0.75) node[anchor=center] {$6cm$};
\draw (-7.25,2.5) node[anchor=center, rotate=90] {$4,5cm$};
\end{tikzpicture}
\end{document}